- Main Page
- Namespaces
- Data Structures
- Files

- Search for |

- Data Structures
- Data Fields

# SolidObject Struct Reference

3D object description More...

`#include <solid_objects.h>`

## Data Fields
int | N
int | M
| matrices size
float ** | X
float ** | Y
float ** | Z
| vertex coordinates
float ** | nX
float ** | nY
float ** | nZ
| Vertex normals.
float ** | R
float ** | G
float ** | B
| vertex color

## Detailed Description

3D object description

Structure for the description of an object as a mesh.
N, M: size of the mesh 2D array.
**X, **Y, **Z : vertex coordinates.
**nX, **nY, **nZ : normals to vertexes (for lighting).
**R, **G, **B : vertex color.

Definition at line 28 of file solid_objects.h.

## Field Documentation

float ** SolidObject::B

vertex color

Definition at line 36 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float ** SolidObject::G

Definition at line 36 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

int SolidObject::M

matrices size

Definition at line 30 of file solid_objects.h.

Referenced by SolidObject_compute_normals(), SolidObject_create(), and SolidObject_draw().

int SolidObject::N

Definition at line 30 of file solid_objects.h.

Referenced by SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float** SolidObject::nX

Definition at line 34 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float ** SolidObject::nY

Definition at line 34 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float ** SolidObject::nZ

Vertex normals.

Definition at line 34 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float** SolidObject::R

Definition at line 36 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float** SolidObject::X

Definition at line 32 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float ** SolidObject::Y

Definition at line 32 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

float ** SolidObject::Z

vertex coordinates

Definition at line 32 of file solid_objects.h.

Referenced by Boat_create(), SolidObject_compute_normals(), SolidObject_create(), SolidObject_delete(), and SolidObject_draw().

The documentation for this struct was generated from the following file:

- HydroSDL/oGL_graphics/solid_objects.h